Description

Implement a new function prim.

Over QQ is should make the coeffs integer and coprime:

/**/ f := 2*x+4/7;

/**/ prim(f);

7*x+2

 

Not sure what it should do if the coeff ring is not QQ.

Perhaps just "error" in the first impl.

Related issues:

Related to CoCoALib - Feature #1582: Factorization in K(a,b)[x,y] New 05 Mar 2021

Related to CoCoALib - Feature #1668: Generalize prim New 16 Feb 2022

History

#1 - 01 Mar 2021 12:26 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 50

I now a have prototype impl which works for "towers" of poly rings (even a mix of sparse multivariate and dense univariate)

#2 - 01 Mar 2021 20:26 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

- Estimated time set to 3.33 h

I have now integrated prim into the code (will check in shortly).

Also added documentation (both CoCoALib and CoCoA).

No tests... should I?

#3 - 12 Mar 2021 09:24 - John Abbott

- Related to Feature #1582: Factorization in K(a,b)[x,y] added

#4 - 13 Mar 2021 21:02 - John Abbott

It might be helpful to generalize the fn so that it works in rings such as QQ(a,b)[c,d](e,f)[x,y].

#5 - 16 Sep 2021 12:29 - John Abbott
Try to implement the idea in comment 4 (above).

#6 - 16 Feb 2022 20:43 - John Abbott

- Related to Feature #1668: Generalize prim added

#7 - 16 Feb 2022 20:45 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Closing this issue. Created new issue for the generalization: #1668
